### Navigation

- index
- next |
- Django FileBrowser v3.4.0 documentation »

# Django FileBrowser Documentation

Media-Management with Grappelli.

This documentation covers version 3.4.0 of the FileBrowser.

Installation and Setup

- Quick start guide
  - Requirements
  - Download
  - Installation
  - Testing
- Settings
  - Main URL/Paths Settings
  - FileBrowser Media, TinyMCE Media
  - Extensions and Formats
  - Versions
  - Extra Settings

FileBrowser Sites

- FileBrowser Sites
  - Backward Incompatibilites
- Custom Actions
  - Writing Your Own Actions
  - Registering an Action
  - Associating Actions with Specific Files
  - Messages & Intermediate Pages
- File Storages
  - StorageMixin Class

FileBrowser API

- `FileListing` class
  - Options
  - Attributes
- `FileObject` class
  - General attributes
  - Path and URL attributes
  - Image attributes
  - Folder attributes
  - Version attributes
  - Functions

Admin Interface

- Views
  - Browse
  - Create directory
  - Upload
  - Edit
  - Confirm delete
  - Delete
  - Version
- Signals
  - `filebrowser_pre_upload`
  - `filebrowser_post_upload`
  - `filebrowser_pre_delete`
  - `filebrowser_post_delete`
  - `filebrowser_pre_createdir`
  - `filebrowser_post_createdir`
  - `filebrowser_pre_rename`
  - `filebrowser_post_rename`
  - `filebrowser_actions_pre_apply`
  - `filebrowser_actions_post_apply`
  - Example for using these Signals

Fields and Widgets

- FileBrowseField
  - Attributes
  - FileBrowseField in Templates
  - Showing Thumbnail in the Changelist
  - Using the FileBrowseField with TinyMCE
- FileInput
- ClearableFileInput
- Django `FileField` and the FileBrowser

Image Versions

- Image Versions
  - Versions and the grid
  - Versions with the admin-interface
  - Versions on your website
    - Templatetag `version`
    - Templatetag `version_object`
  - Versions in views
  - Placeholder
- Management Commands
  - Command `fb_version_generate`
  - Command `fb_version_remove`

Help

- FAQ
- Troubleshooting
- Translation
- Supported Languages
- FileBrowser 3.4 Release Notes
- Changelog

## Main Features

- Browse your media files with the admin-interface.
- Multiple Upload, including a progress bar.
- Automatic Thumbnails.
- Image-Versions to fit your websites grid.
- Integration with TinyMCE (AdvImage & AdvLink).
- `FileBrowseField` to select Images/Documents.
- `FileInput` and `ClearableFileInput` with Image-Preview.
- Signals for Upload, Rename and Delete.
- Custom Actions.
- Custom File Storage Engines.

## Code

https://github.com/sehmaschine/django-filebrowser

## Discussion

Use the FileBrowser Google Group to ask questions or discuss features.

### Navigation

- index
- next |
- Django FileBrowser v3.4.0 documentation »